Raritan PX2/PX3 JSON-RPC API: lhxmodel::Lhx_3_2_4 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Classes | Public Member Functions | Public Attributes | List of all members
lhxmodel::Lhx_3_2_4 Interface Reference

LHX Interface. More...

`import"Lhx.idl";`

## Classes
struct | AlertStatus
| LHX alert status. More...
struct | Capabilities
| LHX capabilities. More...
struct | MetaData
| LHX metadata. More...
struct | OpState
| LHX operational state. More...
struct | ParamCfg
| Configuration parameter characteristics. More...
struct | Settings
| LHX settings. More...

## Public Member Functions
Capabilities | getCapabilities ()
| Retrieve the LHX capabilities (static).
MetaData | getMetaData ()
| Retrieve the LHX metadata. More...
Settings | getSettings ()
| Retrieve the LHX settings. More...
int | setSettings (in Settings settings)
| Change the LHX settings. More...
vector< Sensor_4_0_3 > | getSensors ()
| Get LHX sensors.
OpState | getOpState ()
| Get LHX operational state.
int | setPowerState (in sensors::Sensor_4_0_3.OnOffState state)
| Switch powerstate of LHX. More...
vector< Parameter_2_0_1 > | getParameters ()
| Get parameter list.
vector< Parameter_2_0_1 > | getActualValues ()
| Get actual value list.
int | setMaximumCoolingRequest (in boolean requested)
| Request maximum cooling. More...
int | acknowledgeAlertStatus ()
| Acknowledge alert status. More...

## Public Attributes
constant int | ERR_INVALID_PARAMS = 1
| Invalid parameters.
constant int | ERR_NOT_SUPPORTED = 2
| Not supported.
valueobject | OpStateChangedEvent: idl::Event { OpState oldState
| Event: LHX operational status has changed. More...
OpState | newState
| Status after change.
valueobject | SettingsChangedEvent: event::UserEvent { Settings oldSettings
| Event: LHX settings have changed. More...
Settings | newSettings
| Settings after change.

## Detailed Description

LHX Interface.

## Member Function Documentation

## ◆ acknowledgeAlertStatus()

int lhxmodel::Lhx_3_2_4::acknowledgeAlertStatus | ( |  | ) |

Acknowledge alert status.

Returns
  0 if OK
  ERR_NOT_SUPPORTED if operation is not supported

## ◆ getMetaData()

MetaData lhxmodel::Lhx_3_2_4::getMetaData | ( |  | ) |

Retrieve the LHX metadata.

Returns
  LHX metadata

## ◆ getSettings()

Settings lhxmodel::Lhx_3_2_4::getSettings | ( |  | ) |

Retrieve the LHX settings.

Returns
  LHX settings

## ◆ setMaximumCoolingRequest()

int lhxmodel::Lhx_3_2_4::setMaximumCoolingRequest | ( | in boolean | requested | ) |

Request maximum cooling.

Parameters

  requested | true if request maximum cooling false if request normal operation

Returns
  0 if OK
  ERR_NOT_SUPPORTED if operation is not supported

## ◆ setPowerState()

int lhxmodel::Lhx_3_2_4::setPowerState | ( | in sensors::Sensor_4_0_3.OnOffState | state | ) |

Switch powerstate of LHX.

Parameters

  state | on or off

Returns
  0 if OK
  ERR_NOT_SUPPORTED if operation is not supported

## ◆ setSettings()

int lhxmodel::Lhx_3_2_4::setSettings | ( | in Settings | settings | ) |

Change the LHX settings.

Parameters

  settings | New LHX settings

Returns
  0 if OK
  ERR_INVALID_PARAMS if any parameters are invalid

## Member Data Documentation

## ◆ OpStateChangedEvent

valueobject lhxmodel::Lhx_3_2_4::OpStateChangedEvent

Event: LHX operational status has changed.

Status before change

## ◆ SettingsChangedEvent

valueobject lhxmodel::Lhx_3_2_4::SettingsChangedEvent

Event: LHX settings have changed.

Settings before change

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/Lhx.idl